xfrhandler.c File Reference
`#include "config.h"`
`#include "daemon/engine.h"`
`#include "daemon/xfrhandler.h"`
`#include "duration.h"`
`#include "status.h"`
`#include <errno.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

xfrhandler_type * | xfrhandler_create ()
void | xfrhandler_start (xfrhandler_type *xfrhandler)
time_t | xfrhandler_time (xfrhandler_type *xfrhandler)
void | xfrhandler_signal (xfrhandler_type *xfrhandler)
void | xfrhandler_cleanup (xfrhandler_type *xfrhandler)

## Function Documentation

## xfrhandler_cleanup()

void xfrhandler_cleanup | ( | xfrhandler_type * | xfrhandler | ) |

Cleanup zone transfer handler.

Definition at line 198 of file xfrhandler.c.

References buffer_cleanup(), xfrhandler_struct::netio, netio_cleanup_shallow(), xfrhandler_struct::packet, xfrhandler_struct::tcp_set, and tcp_set_cleanup().

Referenced by engine_cleanup(), and xfrhandler_create().

## xfrhandler_create()

xfrhandler_type * xfrhandler_create | ( | void |  | ) |

Create zone transfer handler.

Definition at line 52 of file xfrhandler.c.

References buffer_create(), xfrhandler_struct::current_time, xfrhandler_struct::dnshandler, xfrhandler_struct::engine, netio_handler_struct::event_handler, netio_handler_struct::event_types, netio_handler_struct::fd, netio_handler_struct::free_handler, xfrhandler_struct::got_time, xfrhandler_struct::need_to_exit, xfrhandler_struct::netio, netio_create(), NETIO_EVENT_READ, xfrhandler_struct::notify_udp_num, xfrhandler_struct::notify_waiting_first, xfrhandler_struct::notify_waiting_last, xfrhandler_struct::packet, PACKET_BUFFER_SIZE, xfrhandler_struct::start_time, xfrhandler_struct::started, xfrhandler_struct::tcp_set, tcp_set_create(), xfrhandler_struct::tcp_waiting_first, netio_handler_struct::timeout, xfrhandler_struct::udp_use_num, xfrhandler_struct::udp_waiting_first, xfrhandler_struct::udp_waiting_last, netio_handler_struct::user_data, and xfrhandler_cleanup().

## xfrhandler_signal()

void xfrhandler_signal | ( | xfrhandler_type * | xfrhandler | ) |

Signal zone transfer handler.

Definition at line 159 of file xfrhandler.c.

References xfrhandler_struct::started, and xfrhandler_struct::thread_id.

## xfrhandler_start()

void xfrhandler_start | ( | xfrhandler_type * | xfrhandler | ) |

Start zone transfer handler.

Definition at line 110 of file xfrhandler.c.

References xfrhandler_struct::dnshandler, xfrhandler_struct::engine, xfrhandler_struct::got_time, xfrhandler_struct::need_to_exit, xfrhandler_struct::netio, netio_add_handler(), netio_dispatch(), and xfrhandler_struct::start_time.

## xfrhandler_time()

time_t xfrhandler_time | ( | xfrhandler_type * | xfrhandler | ) |

Get current time from zone transfer handler.

Definition at line 141 of file xfrhandler.c.

References xfrhandler_struct::current_time, and xfrhandler_struct::got_time.